McLion
Posts: 76
Joined: Fri Mar 17, 2017 1:05 pm
Location: Switzerland

VLC version on Repository

Fri Dec 08, 2017 9:15 am

Hi

Why does the version that can be easily installed from the repository not include the OMX-IL GPU acceleration?
Everyone has to compile it by themselves - I have 2.2.8 with acceleration running perfectly on Jessie so far.
How do we get the compiled version up to the repository, including the acceleration?

Thanks
Franz

ghans
Posts: 7787
Joined: Mon Dec 12, 2011 8:30 pm
Location: Germany

Re: VLC version on Repository

Fri Dec 08, 2017 9:30 am

Ask forum moderators plugwash or ShiftPlusOne if they can put it in the "rpi" section ??
• Don't like the board ? Missing features ? Change to the prosilver theme ! You can find it in your settings.
• Don't like to search the forum BEFORE posting 'cos it's useless ? Try googling : yoursearchtermshere site:raspberrypi.org

User avatar
ksharindam
Posts: 70
Joined: Sat Jan 09, 2016 4:16 pm

Re: VLC version on Repository

Fri Dec 08, 2017 10:24 am

They will never include OMX IL output supported version in the repo. Because omxil output does not work when gl driver is enabled.
They will not incllude any app in the repo that does not work properly when gl driver is enabled.
even they haved removed penguinspuzzle from the repo.

ShiftPlusOne
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 5240
Joined: Fri Jul 29, 2011 5:36 pm
Location: The unfashionable end of the western spiral arm of the Galaxy

Re: VLC version on Repository

Fri Dec 08, 2017 12:11 pm

ksharindam wrote:
Fri Dec 08, 2017 10:24 am
They will never include OMX IL output supported version in the repo. Because omxil output does not work when gl driver is enabled.
They will not incllude any app in the repo that does not work properly when gl driver is enabled.
even they haved removed penguinspuzzle from the repo.
We're not quite that hardline about it.

Openmax should be usable regardless of which driver is used (see omxplayer). Also, I believe VLC just adds the option of using omxil, rather than requiring. Send me a patch to the VLC package that makes it work in both scenarios, and I'll gladly add it.

Penguinspuzzle was taken out because it didn't work under stretch. IIRC, it ignores keyboard inputs and we don't have the source code to update it.

User avatar
ksharindam
Posts: 70
Joined: Sat Jan 09, 2016 4:16 pm

Re: VLC version on Repository

Fri Dec 08, 2017 1:12 pm

Glad to hear it . I will try to make a patch.
And one more question, if I send you a patch of ffmpeg with hwaccl support will you include the patch?

ShiftPlusOne
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 5240
Joined: Fri Jul 29, 2011 5:36 pm
Location: The unfashionable end of the western spiral arm of the Galaxy

Re: VLC version on Repository

Fri Dec 08, 2017 1:15 pm

ksharindam wrote:Glad to hear it . I will try to make a patch.
That would be much appreciated. It needs to apply on top of the current stretch version.
ksharindam wrote: And one more question, if I send you a patch of ffmpeg with hwaccl support will you include the patch?
If I don't find anything wrong with it, absolutely.

User avatar
ksharindam
Posts: 70
Joined: Sat Jan 09, 2016 4:16 pm

Re: VLC version on Repository

Fri Dec 08, 2017 1:16 pm

Thanks.

Return to “Raspbian”

Who is online

Users browsing this forum: Bing [Bot], techswing33 and 27 guests